#ifndef __rp3d_body__
#define __rp3d_body__

namespace rp3d

' ########
' # Body #
' ########
' This class to represent a body of the physics engine.
' You should not instantiante this class but instantiate
' the CollisionBody or RigidBody classes instead.

enum eBodyType
  BT_STATIC    = 0
  BT_KINEMATIC
  BT_DYNAMIC
  BT_UNDEFINED
end enum  

extern "C"

' Return the ID of the body
declare function BodyGetId(byval b as Body ptr) as bodyindex ' 32-bit

' Return whether or not the body is allowed to sleep
declare function BodyIsAllowedToSleep(byval b as Body ptr) as boolean

' Set whether or not the body is allowed to go to sleep
declare sub      BodySetIsAllowedToSleep(byval b as Body ptr, byval isAllowedToSleep as boolean)

' Set the variable to know whether or not the body is sleeping
declare sub      BodySetIsSleeping(byval b as Body ptr, byval isSleeping as boolean)

' Return whether or not the body is sleeping
declare function BodyIsSleeping(byval b as Body ptr) as boolean

' Return true if the body is active
declare function BodyIsActive(byval b as Body ptr) as boolean

' Set whether or not the body is active
declare sub      BodySetIsActive(byval b as Body ptr, byval isActive as boolean)

' Return the user data attached to this body
declare function BodyGetUserData(byval b as Body ptr) as any ptr

' Attach user data to this body
declare sub      BodySetUserData(byval b as Body ptr, byval userData as any ptr)

end extern

end namespace

#endif ' __rp3d_body__
