#ifndef __rp3d_boxshape__
#define __rp3d_boxshape__

namespace rp3d

' #############################################
' # ConvexShape extends Collisionshape        #
' # ConvexPolyhedronShape extends ConvexShape #
' # BoxShape extends ConvexPolyhedronShape    #
' #############################################
' This class represents a 3D box shape.
' Those axis are unit length.
' The three extents are half-widths of the box along the three axis x, y, z local axis.
' The "transform" of the corresponding body will give an orientation and a position to the box.
extern "C"

declare function CreateBoxShape(byref halfExtents as const Vector3) as BoxShape ptr

declare sub      DestroyBoxShape(byref box as BoxShape ptr)

end extern

end namespace

#endif ' __rp3d_boxshape__
