#ifndef __rp3d_capsuleshape__
#define __rp3d_capsuleshape__

namespace rp3d

' ######################################
' # ConvexShape extends CollisionShape #
' # CapsuleShape extends ConvexShape   #
' ######################################
' This class represents a capsule collision shape that is defined around the Y axis.
' A capsule shape can be seen as the convex hull of two spheres.
' The capsule shape is defined by its radius (radius of the two spheres of the capsule)
' and its height (distance between the centers of the two spheres).
' This collision shape does not have an explicit object margin distance.
' The margin is implicitly the radius and height of the shape.
' Therefore, no need to specify an object margin for a capsule shape.
  
extern "C"

declare function CreateCapsuleShape(byval radius as decimal, byval height as decimal) as CapsuleShape ptr
declare sub      DestroyCapsuleShape(byref capsule as CapsuleShape ptr)

end extern

end namespace


#endif ' __rp3d_capsuleshape__
