#ifndef __rp3d_material__
#define __rp3d_material__

namespace rp3d

' Material used by RigidBodies
const as decimal DEFAULT_FRICTION_COEFFICIENT = 0.3
const as decimal DEFAULT_BOUNCINESS           = 0.5
const as decimal DEFAULT_ROLLING_RESISTANCE   = 0.0

type Material
  private:
  ' Friction coefficient (>=0.0)
  as decimal mFrictionCoefficient
  ' Rolling resistance factor (>=0.0)
  as decimal mRollingResistance
  ' Bounciness during collisions (between 0 and 1) where 1 is for a very bouncy body
  as decimal mBounciness
end type

end namespace

#endif ' __rp3d_material__
