#ifndef __rp3d_sphereshape__
#define __rp3d_sphereshape__

namespace rp3d

' ######################################
' # ConvexShape extends CollisionShape #
' # SphereShape extends ConvexShape    #
' ######################################
  ' This class represents a sphere collision shape 
  ' that is centered at the origin and defined by its radius. 
  ' This collision shape does not have an explicit object margin distance.
  ' The margin is implicitly the radius of the sphere.
  ' Therefore, no need to specify an object margin for a sphere shape.
  
extern "C"

declare function CreateSphereShape(byval radius as decimal=0.5) as SphereShape ptr
declare sub      DestroySphereShape(byref sphere as SphereShape ptr)

end extern

end namespace


#endif ' __rp3d_sphereshape__
